

/* 
	FILE	: iic.h
  
  
  
  
  
\-------------------------------------------------------------------------*/

#define IIC_NoACK		-1 
#define IIC_ACK			 1
#define IIC_BUS_BUSY		-2     
#define IIC_BUS_ERROR		-3
#define IIC_OK			 0

        
#define	IIC_SDA			1           // Pin function label
#define IIC_SCL			2           // Pin function label

#define IIC_HIGH		1           // Read Pin State
#define IIC_OPEN 		1           // Write Pin State
#define IIC_LOW			0           // Read/Write Pin State

// User functions
int Iic_Blk_Write(int PCI, unsigned short *buf, int length, int addr);
int Iic_Blk_Read(int PCI, unsigned short *buf, int length, int addr);

// External functions except when testing through printer port.
void iicout(int PCI,int sig,int state); 
char iicin(int PCI,int sig);

